import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = `CIPER Chile`;

export const handler: Handler = new Portal(
  name, 
  config.MASTODON_KEY_CIPER,
  {
    url: config.CIPER,
    articlesSelector: "section.section-featured article",
    titleSelector: ".article-big-text__title, article:nth-child(1) > h3:nth-child(4)",
    linkSelector: "a.alticle-link:nth-child(2), article:nth-child(1) > h3:nth-child(4) > a:nth-child(1)",
    scraperMethod: ScraperMethods.AXIOS,
    hashtags: ["CIPERChile", "Actualidad", "Artículo", "Investigación"],
    cacheExpiration: 60 * 60 * 24 * 30, // 30 días
  }
).getHandler();
